const examRouters = [
  /**试卷介绍 */
  {
    path: "/exam/PaperInfo",
    name: "PaperInfo",
    component: resolve => {
      require(["../pages/exam/PaperInfo.vue"], resolve);
    }
  },
  /**考试做题（正规试卷） */
  {
    path: "/exam/TestPage",
    name: "TestPage",
    component: resolve => {
      require(["../pages/exam/PaperDoexercise.vue"], resolve);
    }
  },
  /**练习题 */
  {
    path: "/exam/Exercise",
    name: "Exercise",
    component: resolve => {
      require(["../pages/exam/PaperDoexercise.vue"], resolve);
    }
  },

  //考试说明
  {
    path: "/exam/explain",
    name: "explain",
    component: resolve => {
      require(["../pages/exam/PaperExplain.vue"], resolve);
    }
  },

  //考试结果
  {
    path: "/exam/result",
    name: "ExamResult",
    component: resolve => {
      require(["../pages/exam/ExamResult.vue"], resolve);
    }
  },
  //试卷解析
  {
    path: "/exam/analysis",
    name: "analysis",
    component: resolve => {
      require(["../pages/exam/PaperAnalysis.vue"], resolve);
    }
  },

  //自己打分
  {
    path: "/exam/OwnScore",
    name: "OwnScore",
    component: resolve => {
      require(["../pages/exam/OwnScore.vue"], resolve);
    }
  },
  //做每日一练
  {
    path: "/user/PracticeDaily",
    name: "PracticeDaily",
    component: resolve => {
      require(["../pages/user/PracticeDaily.vue"], resolve);
    }
  },
  //错题解析
  {
    path: "/exam/ErrorAnaysis",
    name: "ErrorAnaysis",
    component: resolve => {
      require(["../pages/exam/PaperAnalysis.vue"], resolve);
    }
  },

  /*======================刘同学的=====================*/

  {
    //考试题库
    path: "/user/ExamBank",
    name: "ExamBank",
    component: resolve => {
      require(["../pages/user/ExamBank"], resolve);
    }
  },
  {
    //练习中心、考试章节列表
    path: "/user/ExamList",
    name: "ExamList",
    component: resolve => {
      require(["../pages/user/ExamList"], resolve);
    }
  },
  {
    //练习记录
    path: "/user/PracticeRecord",
    name: "PracticeRecord",
    component: resolve => {
      require(["../pages/user/PracticeRecord"], resolve);
    }
  },
  {
    //收藏练习
    path: "/user/CollectBank",
    name: "CollectBank",
    component: resolve => {
      require(["../pages/user/CollectBank"], resolve);
    }
  },
  {
    //错题练习
    path: "/user/ErrorBank",
    name: "ErrorBank",
    component: resolve => {
      require(["../pages/user/ErrorBank"], resolve);
    }
  },
  {
    //考试记录
    path: "/user/ExamRecord",
    name: "ExamRecord",
    component: resolve => {
      require(["../pages/user/ExamRecord"], resolve);
    }
  },
  {
    //套餐包
    path: "/buy/BuyIndex",
    name: "BuyIndex",
    component: resolve => {
      require(["../pages/buy/BuyIndex"], resolve);
    }
  },
  {
    //套餐包详情
    path: "/buy/BuyDetail",
    name: "BuyDetail",
    component: resolve => {
      require(["../pages/buy/BuyDetail"], resolve);
    }
  },
  /**课程绑定的考试练习记录 */
  {
    path: "/exam/TestRecord",
    name: "TestRecord",
    component: resolve => {
      require(["../pages/exam/TestRecord"], resolve);
    }
  }
];

export default examRouters;
